summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/xdotool/README11
-rw-r--r--accessibility/xdotool/slack-desc19
-rw-r--r--accessibility/xdotool/xdotool.SlackBuild54
-rw-r--r--accessibility/xdotool/xdotool.info8
4 files changed, 92 insertions, 0 deletions
diff --git a/accessibility/xdotool/README b/accessibility/xdotool/README
new file mode 100644
index 0000000000..a587318f84
--- /dev/null
+++ b/accessibility/xdotool/README
@@ -0,0 +1,11 @@
+xdotool - fake keyboard/mouse input
+
+This tool lets you programatically (or manually) simulate keyboard input
+and mouse activity, move and resize windows, etc. It does this using
+X11's XTEST extension and other Xlib functions.
+
+Example: focus the firefox url bar
+
+WID=`xdotool search "Mozilla Firefox" | head -1`
+xdotool windowfocus $WID
+xdotool key ctrl+l
diff --git a/accessibility/xdotool/slack-desc b/accessibility/xdotool/slack-desc
new file mode 100644
index 0000000000..088d01f0bf
--- /dev/null
+++ b/accessibility/xdotool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xdotool: xdotool (fake keyboard/mouse input)
+xdotool:
+xdotool: This tool lets you programatically (or manually) simulate keyboard
+xdotool: input and mouse activity, move and resize windows, etc. It does this
+xdotool: using X11's XTEST extension and other Xlib functions.
+xdotool:
+xdotool:
+xdotool:
+xdotool:
+xdotool:
+xdotool:
diff --git a/accessibility/xdotool/xdotool.SlackBuild b/accessibility/xdotool/xdotool.SlackBuild
new file mode 100644
index 0000000000..8161b042e0
--- /dev/null
+++ b/accessibility/xdotool/xdotool.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for xdotool
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=xdotool
+VERSION=${VERSION:-20090126}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+sed -i -e "/^CFLAGS/s/-/$SLKCFLAGS -/" Makefile
+make PREFIX=/usr
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+strip $PRGNAM
+make install PREFIX=$PKG/usr
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r README COPYRIGHT COPYRIGHT examples xdotool.pod \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/accessibility/xdotool/xdotool.info b/accessibility/xdotool/xdotool.info
new file mode 100644
index 0000000000..fff8edbcf8
--- /dev/null
+++ b/accessibility/xdotool/xdotool.info
@@ -0,0 +1,8 @@
+PRGNAM="xdotool"
+VERSION="20090126"
+HOMEPAGE="http://www.semicomplete.com/projects/xdotool/"
+DOWNLOAD="http://semicomplete.googlecode.com/files/xdotool-20090126.tar.gz"
+MD5SUM="a520d6a3175c3b55582998cbeef81688"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"